/* +-----------------------------------------------------------------------------+
 *  This file is subject to the terms and conditions defined in
 *  file 'LICENSE.txt', which is part of this source code package.
 * +------------------------------------------------------------------------------+
 */
@font-face {
  font-family: "Poppins";
  src: url("../fonts/poppins/Poppins-Regular.woff") format("woff");
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: "Poppins";
  src: url("../fonts/poppins/Poppins-Medium.woff") format("woff");
  font-weight: 500;
  font-style: normal;
}
@font-face {
  font-family: "Poppins";
  src: url("../fonts/poppins/Poppins-SemiBold.woff") format("ttf");
  font-weight: 600;
  font-style: normal;
}

/* Placeholder */
::-webkit-input-placeholder {
  color: rgba(0, 0, 0, 0.3) !important;
}
::-moz-placeholder {
  color: rgba(0, 0, 0, 0.3) !important;
}
:-ms-input-placeholder {
  color: rgba(0, 0, 0, 0.3) !important;
}
:-moz-placeholder {
  color: rgba(0, 0, 0, 0.3) !important;
}

html,
body {
  margin: 0;
  height: 100%;
}
body {
  font-size: 14px;
  color: #082540;
  line-height: 22px;
  background: #fff;
  overflow-x: hidden;
  font-family: "Poppins", sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  font-weight: 500;
}

h1,
h2,
h3 {
  font-size: 40px;
  line-height: 50px;
}
h4,
h5 {
  font-size: 32px;
  line-height: 40px;
}
h6 {
  font-size: 20px;
  line-height: 32px;
}

a,
.btn {
  text-decoration: none;
  -webkit-transition: all 0.4s ease;
  -moz-transition: all 0.4s ease;
  transition: all 0.4s ease;
}

.btn {
  cursor: pointer;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  padding: 13px 10px;
  text-align: center;
  border-radius: 5px;
  outline: none !important;
  border: 1px solid transparent;
  font-family: "Poppins", sans-serif;
}
.btn.btn-primary {
  color: #fff;
  background: #279ad8;
  border-color: #279ad8;
  -webkit-box-shadow: 0px 9.12px 18.23px 0px #279ad81f;
  -moz-box-shadow: 0px 9.12px 18.23px 0px #279ad81f;
  box-shadow: 0px 9.12px 18.23px 0px #279ad81f;
}
.btn.btn-primary:hover {
  color: #279ad8;
  background: #fff;
}
.btn.btn-dragon {
  color: #279ad8;
  background: #fff;
  border-color: #ddf3ff;
  -webkit-box-shadow: 0px 9.12px 18.23px 0px #279ad81f;
  -moz-box-shadow: 0px 9.12px 18.23px 0px #279ad81f;
  box-shadow: 0px 9.12px 18.23px 0px #279ad81f;
}
.btn.btn-dragon:hover {
  color: #fff;
  background: #279ad8;
  border-color: #279ad8;
}
.btn.btn-sso {
  opacity: 0;
  visibility: hidden;
}
.btn.btn-sso.active {
  opacity: 1;
  visibility: visible;
}

p,
span {
  margin: 0;
}

.gradient-text {
  background: linear-gradient(90deg, #004382 0%, #00ace5 100%);
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
}

.bluebrix-login-section {
  display: flex;
  min-height: 100vh;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}
.bluebrix-login-section * {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.bluebrix-login-section .bluebrix-login-container {
  flex: 1;
  width: 1140px;
  display: flex;
  margin: 0 auto;
  padding: 40px 0;
  align-items: center;
  justify-content: center;
}
.bluebrix-login-row {
  display: flex;
  column-gap: 172px;
  position: relative;
  align-items: center;
}
.bluebrix-login-info {
  width: 625px;
  padding-left: 30px;
  background: url("../images/login_screen/blueehr/bluebrix-block-pattern.png")
    no-repeat;
}
.bluebrix-login-info h1 {
  width: 400px;
}
.bluebrix-login-glass-logo {
  display: flex;
  padding-top: 30px;
  align-items: center;
  margin-bottom: -30px;
  justify-content: center;
}
.bluebrix-login-glass-logo img {
  max-height: 250px;
  mix-blend-mode: multiply;
}
.bluebrix-login-slider {
  width: 625px;
  overflow: hidden;
  position: relative;
}
.bluebrix-login-slider .slides {
  display: flex;
  -webkit-transition: transform 0.4s ease;
  -moz-transition: transform 0.4s ease;
  transition: transform 0.4s ease;
}
.bluebrix-login-slider .slide {
  min-width: 100%;
}
.bluebrix-login-slider .slide h3 {
  width: 250px;
  font-size: 21px;
  line-height: 27px;
  margin-bottom: 20px;
}
.bluebrix-login-slider .slide p {
  margin: 0;
  font-size: 11px;
  line-height: 18px;
}
.bluebrix-login-slider .slider-dots {
  display: flex;
  margin-top: 34px;
  column-gap: 10px;
  text-align: center;
  align-items: center;
  justify-content: center;
}
.bluebrix-login-slider .dot {
  margin: 0;
  width: 8px;
  height: 8px;
  cursor: pointer;
  border-radius: 100%;
  background: #d9d9d9;
  display: inline-block;
  -webkit-transition: background 0.3s;
  -moz-transition: background 0.3s;
  transition: background 0.3s;
}
.bluebrix-login-slider .dot.active {
  background: #279ad8;
}
.bluebrix-login-form-container {
  width: 343px;
  display: flex;
  position: relative;
  flex-direction: column;
}
.bluebrix-login-form-container:before {
  content: "";
  width: 1px;
  height: calc(100% - 68px);
  background: rgba(109, 120, 126, 0.1);
  position: absolute;
  left: -80px;
  top: 40px;
}
.bluebrix-login-form-container .bluebrix-logo {
  display: flex;
  align-items: center;
  margin-bottom: 25px;
  justify-content: center;
}
.bluebrix-login-form-container .form-error-inline {
  color: #f23e3e;
  font-size: 11px;
  font-weight: 400;
  line-height: 15px;
  border-radius: 4px;
  padding: 12px 18px;
  background: #ffeeee99;
  border: 1px solid #ff27274d;
  -webkit-box-shadow: 0px 9.12px 18.23px 0px #279ad81f;
  -moz-box-shadow: 0px 9.12px 18.23px 0px #279ad81f;
  box-shadow: 0px 9.12px 18.23px 0px #279ad81f;
}
.bluebrix-login-form {
  display: flex;
  row-gap: 12px;
  margin-top: 25px;
  flex-direction: column;
}
.bluebrix-login-form .form-group {
  display: flex;
  row-gap: 10px;
  flex-direction: column;
}
.bluebrix-login-form .form-label {
  display: flex;
  column-gap: 16px;
  align-items: center;
  justify-content: space-between;
}
.bluebrix-login-form label {
  font-size: 14px;
  line-height: 20px;
}
.bluebrix-login-form .form-control {
  width: 100%;
  color: #000;
  font-size: 14px;
  padding: 13px 18px;
  border-radius: 5px;
  background: #fff;
  outline: none !important;
  border: 1px solid #e9ebec;
  font-family: "Poppins", sans-serif;
}
.bluebrix-login-form .form-control:focus {
  border-color: #a6ddff;
  -webkit-box-shadow: 0px 0px 22.79px 0px #28a0ea40;
  -moz-box-shadow: 0px 0px 22.79px 0px #28a0ea40;
  box-shadow: 0px 0px 22.79px 0px #28a0ea40;
}
.bluebrix-login-form .form-group-password {
  position: relative;
}
.bluebrix-login-form .form-group-password .form-control {
  padding-right: 66px;
}
.bluebrix-login-form .password-toggle {
  width: 51px;
  display: flex;
  cursor: pointer;
  font-size: 15px;
  max-height: 55px;
  color: #8797a0;
  padding: 17px 10px;
  align-items: center;
  justify-content: center;
  position: absolute;
  right: 0;
  top: 0;
}
.bluebrix-login-form .password-toggle .far.fa-eye-slash,
.bluebrix-login-form .password-toggle.dont-show .far.fa-eye {
  display: none;
}
.bluebrix-login-form .password-toggle.dont-show .far.fa-eye-slash {
  display: inline-block;
}
.bluebrix-login-form .form-label a {
  color: #279ad8;
}
.bluebrix-login-form .form-label a:hover {
  color: #082540;
}
.bluebrix-login-form .form-group-btn {
  display: flex;
  row-gap: 20px;
  margin-top: 10px;
  flex-direction: column;
}
.bluebrix-login-form .form-group-btn .btn.btn-primary {
  border-radius: 12px;
}
.bluebrix-login-footer {
  width: 1140px;
  display: flex;
  position: relative;
  padding-left: 30px;
  align-items: center;
  padding-bottom: 15px;
  justify-content: space-between;
}
.bluebrix-login-footer-info {
  display: flex;
  column-gap: 8px;
  align-items: center;
}
.bluebrix-login-footer-info p {
  font-size: 11px;
  color: #6d787e;
  line-height: 12px;
  position: relative;
}
.bluebrix-login-footer-info p + p {
  padding-left: 8px;
  border-left: 1px solid #6d787e;
}
.bluebrix-login-social-media {
  display: flex;
  column-gap: 15px;
  align-items: center;
}
.bluebrix-login-social-media p {
  font-size: 12px;
  color: #6d787e;
  line-height: 18px;
}
.bluebrix-login-social-links {
  display: flex;
  column-gap: 15px;
  align-items: center;
}
.bluebrix-login-social-links a {
  display: flex;
  color: #6d787e;
}
.bluebrix-login-social-links a:hover {
  color: #082540;
}
.bluebrix-login-top-animation {
  width: 1140px;
  display: flex;
  justify-content: end;
  position: fixed;
  top: -40px;
}
.bluebrix-login-top-animation img {
  height: 165px;
  margin-right: 295px;
}
.animation-card {
  opacity: 0.2;
  width: 112px;
  height: 112px;
  mix-blend-mode: darken;
  -webkit-backdrop-filter: blur(5px);
  -moz-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
  position: absolute;
  right: 320px;
  top: 55px;
}
.animation-card video {
  width: 100%;
  height: 100%;
}
.bluebrix-login-bottom-left-animation {
  width: 261px;
  height: 192px;
  display: flex;
  position: fixed;
  bottom: 0;
  left: 0;
}
.bluebrix-login-bottom-left-animation .animation-card {
  top: 0;
  left: 78px;
  right: auto;
  opacity: 0.5;
  -webkit-transform: rotate(90deg);
  -moz-transform: rotate(90deg);
  transform: rotate(90deg);
}
.bluebrix-login-bottom-left-animation img {
  width: 182px;
}
.bluebrix-login-bottom-right-animation {
  width: 99px;
  height: 129px;
  position: fixed;
  bottom: 60px;
  right: 60px;
}
.bluebrix-login-bottom-right-animation .animation-card {
  opacity: 0.5;
  right: 0;
  top: 0;
}
.bluebrix-login-bottom-right-animation .animation-card:first-child {
  right: 45px;
  width: 130px;
  height: 130px;
  -webkit-transform: rotate(-180deg);
  -moz-transform: rotate(-180deg);
  transform: rotate(-180deg);
}
.bluebrix-login-bottom-right-animation .animation-card:nth-child(2) {
  top: -40px;
  width: 115px;
  height: 115px;
}
.bluebrix-login-bottom-right-animation .animation-card:last-child {
  top: 50px;
  width: 90px;
  height: 90px;
  -webkit-transform: rotate(90deg);
  -moz-transform: rotate(90deg);
  transform: rotate(90deg);
}
.bluebrix-login-top-animation .animation-card img,
.bluebrix-login-bottom-left-animation .animation-card img,
.bluebrix-login-bottom-right-animation .animation-card img {
  width: 100%;
  height: 100%;
}

/* X-Large devices (large desktops, less than 1400px) */
@media (max-width: 1399.98px) {
  .bluebrix-login-slider .slider-dots {
    margin-top: 25px;
  }
  .bluebrix-login-section .bluebrix-login-container {
    padding: 20px 0;
  }
  .bluebrix-login-footer {
    padding-left: 30px;
    padding-bottom: 10px;
  }
  .bluebrix-login-top-animation img {
    margin-right: 272px;
  }
  .bluebrix-login-top-animation .animation-card {
    right: 325px;
  }
  .bluebrix-login-bottom-right-animation {
    display: none;
  }
}

/* Large devices (desktops, less than 1200px) */
@media (max-width: 1199.98px) {
  .bluebrix-login-section .bluebrix-login-container {
    width: 100%;
    padding: 40px 0;
    background: url("../images/login_screen/blueehr/bluebrix-block-pattern.png")
      no-repeat;
    background-position: center center;
  }
  .bluebrix-login-info,
  .bluebrix-login-form-container:before,
  .bluebrix-login-top-animation,
  .bluebrix-login-bottom-left-animation {
    display: none;
  }
  .bluebrix-login-footer {
    width: 100%;
    padding: 0 25px;
    align-items: center;
    padding-bottom: 30px;
    flex-direction: column;
  }
  .bluebrix-login-footer-info {
    row-gap: 6px;
    margin-bottom: 15px;
    flex-direction: column;
  }
  .bluebrix-login-footer-info p + p {
    padding-left: 0;
    border-left: none;
  }
}

/* Medium devices (tablets, less than 992px) */
@media (max-width: 991.98px) {
}

/* Small devices (landscape phones, less than 768px) */
@media (max-width: 767.98px) {
}

/* X-Small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) {
  .bluebrix-login-section .bluebrix-login-container {
    padding: 40px 25px;
  }
  .bluebrix-login-form-container,
  .bluebrix-login-row {
    width: 100%;
  }
  .bluebrix-login-footer {
    padding-top: 0;
    padding-bottom: 20px;
  }
}
